The InvoiceLine resource represents a single fee line on a Halaxy invoice, detailing an individual service, product or charge billed to the patient or organization.
Use this API to list all invoice lines or retrieve a specific invoice line to access information such as item descriptions, quantities, pricing and associated invoice IDs.
Endpoints
| Endpoint | Operation | Description |
|---|---|---|
GET /main/InvoiceLine | List InvoiceLines | Retrieve a list or collection of invoice lines |
GET /main/InvoiceLine/{id} | Get InvoiceLine | Retrieve an individual invoice line |
Schema
| Property | Description |
|---|---|
| id | stringThe identifier for this invoice line |
| resource | The fee (service or product) charged on this invoice line description definitionCanonical See also: ChargeItemDefinition |
| status |
|
| code | stringThe fee item number |
| subject |
See also: Patient |
| context |
See also: Appointment |
| enteredDate | date-timeThe date the invoice line was created |
| performer |
See also: Practitioner |
| invoice |
See also: Invoice |
| quantity | numberThe quantity of the product or service on the invoice line |
| unitPriceComponent |
type amount |
| invoice-line-funder |
See also: Organization |
